wpa_supplicant error message

Jouni Malinen j at w1.fi
Tue Sep 25 23:05:35 EDT 2007


On Fri, Sep 21, 2007 at 10:15:29PM +0000, Dell Sanders wrote:

> I have just installed Ubunto 7.04 "Feisty Fawn" on my Dell Inspiron 8000 laptop which has a NETGEAR WG111v2 54Mbps Wireless USB 2.0 Adapter. I see the package wpasupplicant has installed version: 0.5.7-0ubuntu2 

This is not a card that would use Host AP driver, but the debug log
seems to indicate that the driver selection in wpa_supplicant is for the
old interface used by Host AP driver..

Which driver are you using? Please re-test with the generic Linux
wireless extensions code (add -Dwext to the wpa_supplicant command
line).

> sss at sss-laptop:~$ wpa_supplicant -c/etc/wpa_supplicant.conf -iwlan0 -d 

> ioctl[SIOCSIWPMKSA]: Operation not permitted 

You will need to run wpa_supplicant as root..

> sss at sss-laptop:~$ sudo wpa_supplicant -c/etc/wpa_supplicant.conf -iwlan0 -d 
> wpa_driver_hostap_set_wpa: enabled=1 
> ioctl[PRISM2_IOCTL_PRISM2_PARAM]: Operation not supported 
> ioctl[PRISM2_IOCTL_PRISM2_PARAM]: Operation not supported 

This is coming from the driver_hostap.c which is unlikely to be correct
driver wrapper for the driver you are using.

-- 
Jouni Malinen                                            PGP id EFC895FA



More information about the HostAP mailing list